ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.StgToCmm.Lit

Synopsis

- cgLit :: Literal -> FCode CmmExpr
- mkSimpleLit :: Platform -> Literal -> CmmLit
- newStringCLit :: String -> FCode CmmLit
- newByteStringCLit :: ByteString -> FCode CmmLit

# Documentation

cgLit :: Literal -> FCode CmmExpr Source #

mkSimpleLit :: Platform -> Literal -> CmmLit Source #

newStringCLit :: String -> FCode CmmLit Source #

Make a global definition for the string, and return its label

newByteStringCLit :: ByteString -> FCode CmmLit Source #